Package org.opensaml.saml.saml2.core.impl

# Class ProxyRestrictionImpl

java.lang.Object
org.opensaml.core.xml.AbstractXMLObject
org.opensaml.saml.saml2.core.impl.ProxyRestrictionImpl

All Implemented Interfaces:
  `XMLObject`, `SAMLObject`, `Condition`, `ProxyRestriction`

public class ProxyRestrictionImpl extends AbstractXMLObject implements ProxyRestriction
Concrete implementation of `ProxyRestriction`.

## Field Summary

Fields
Modifier and Type
Field
Description
`private final XMLObjectChildrenList<Audience>`
`audiences`
Audiences of the Restriction.
`private Integer`
`proxyCount`
Count of the Restriction.

### Fields inherited from interface org.opensaml.saml.saml2.core.ProxyRestriction

`COUNT_ATTRIB_NAME, DEFAULT_ELEMENT_LOCAL_NAME, DEFAULT_ELEMENT_NAME, TYPE_LOCAL_NAME, TYPE_NAME`

## Constructor Summary

Constructors
Modifier
Constructor
Description
`protected`
`ProxyRestrictionImpl(String namespaceURI, String elementLocalName, String namespacePrefix)`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`List<Audience>`
`getAudiences()`
Gets the list of audiences to whom the assertion may be proxied.
`List<XMLObject>`
`getOrderedChildren()`
Gets an unmodifiable list of child elements in the order that they will appear in the DOM.
`Integer`
`getProxyCount()`
Gets the number of times the assertion may be proxied.
`void`
`setProxyCount(Integer newProxyCount)`
Sets the number of times the assertion may be proxied.

### Methods inherited from class org.opensaml.core.xml.AbstractXMLObject

`detach, ensureDOM, getDOM, getElementQName, getIDIndex, getNamespaceManager, getNamespaces, getNoNamespaceSchemaLocation, getObjectMetadata, getParent, getSchemaLocation, getSchemaType, hasChildren, hasParent, isNil, isNilXSBoolean, manageQualifiedAttributeNamespace, prepareAttributeValueForAssignment, prepareElementContentForAssignment, prepareForAssignment, prepareForAssignment, prepareForAssignment, registerOwnID, releaseChildrenDOM, releaseDOM, releaseParentDOM, releaseThisAndChildrenDOM, releaseThisandParentDOM, resolveID, resolveIDFromRoot, setDOM, setElementNamespacePrefix, setElementQName, setNil, setNil, setNoNamespaceSchemaLocation, setParent, setSchemaLocation, setSchemaType`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.opensaml.core.xml.XMLObject

`detach, ensureDOM, getDOM, getElementQName, getIDIndex, getNamespaceManager, getNamespaces, getNoNamespaceSchemaLocation, getObjectMetadata, getParent, getSchemaLocation, getSchemaType, hasChildren, hasParent, isNil, isNilXSBoolean, releaseChildrenDOM, releaseDOM, releaseParentDOM, resolveID, resolveIDFromRoot, setDOM, setNil, setNil, setNoNamespaceSchemaLocation, setParent, setSchemaLocation`

## Field Details

### audiences

@Nonnull private final XMLObjectChildrenList<Audience> audiences
Audiences of the Restriction.

### proxyCount

@Nullable private Integer proxyCount
Count of the Restriction.

## Constructor Details

### ProxyRestrictionImpl

protected ProxyRestrictionImpl(@Nullable String namespaceURI, @Nonnull String elementLocalName, @Nullable String namespacePrefix)
Constructor.

Parameters:
  `namespaceURI` - the namespace the element is in
  `elementLocalName` - the local name of the XML element this Object represents
  `namespacePrefix` - the prefix for the given namespace

## Method Details

### getAudiences

@Nonnull @Live public List<Audience> getAudiences()
Gets the list of audiences to whom the assertion may be proxied.

Specified by:
  `getAudiences` in interface `ProxyRestriction`
Returns:
  the list of audiences to whom the assertion may be proxied

### getProxyCount

@Nullable public Integer getProxyCount()
Gets the number of times the assertion may be proxied.

Specified by:
  `getProxyCount` in interface `ProxyRestriction`
Returns:
  the number of times the assertion may be proxied

### setProxyCount

public void setProxyCount(@Nullable Integer newProxyCount)
Sets the number of times the assertion may be proxied.

Specified by:
  `setProxyCount` in interface `ProxyRestriction`
Parameters:
  `newProxyCount` - the number of times the assertion may be proxied

### getOrderedChildren

@Nullable @NotLive @Unmodifiable public List<XMLObject> getOrderedChildren()
Gets an unmodifiable list of child elements in the order that they will appear in the DOM.

Specified by:
  `getOrderedChildren` in interface `XMLObject`
Returns:
  ordered list of child elements